import { BaseProvider } from '#templates/base/provider';
import { PasswordResetToken } from '#models/PasswordResetToken';

export class PasswordResetTokenProvider extends BaseProvider<PasswordResetToken> {
	public static instance: PasswordResetTokenProvider;

	public static getInstance(): PasswordResetTokenProvider {
		PasswordResetTokenProvider.instance ??= new PasswordResetTokenProvider();
		return PasswordResetTokenProvider.instance;
	}

	public static get model() {
		return PasswordResetToken;
	}

	constructor() {
		super('PasswordResetToken');
	}
}
